Vector::BLF::AppTrigger(3)

NAME
Vector::BLF::AppTrigger - APP_TRIGGER.

SYNOPSIS

#include <AppTrigger.h>

Inherits Vector::BLF::ObjectHeader.

  Public Types
enum Flags : uint16_t { SingleTrigger = 0x0000, LoggingStart = 0x0001, LoggingStop = 0x0002 }
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint64_t preTriggerTime {}
pre-trigger time
uint64_t postTriggerTime {}
post-trigger time
uint16_t channel {}
channel of event which triggered (if any)
uint16_t flags {}
trigger type
uint32_t appSpecific2 {}
app specific member 2
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

Detailed Description

APP_TRIGGER. Application defined trigger to be saved in BLF log file (currently not used in CANoe / CANalyzer).

Member Enumeration Documentation

  enum Vector::BLF::AppTrigger::Flags : uint16_t
enumeration for flags

Enumerator

SingleTrigger
    single trigger type

LoggingStart
    start of logging trigger type

LoggingStop
    stop of logging trigger type

Member Function Documentation

  uint32_t Vector::BLF::AppTrigger::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::AppTrigger::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::AppTrigger::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint32_t Vector::BLF::AppTrigger::appSpecific2 {}

app specific member 2 Reserved.

  uint16_t Vector::BLF::AppTrigger::channel {}

channel of event which triggered (if any) Trigger that channel belongs to.

  uint64_t Vector::BLF::AppTrigger::postTriggerTime {}

post-trigger time Post trigger time.

  uint64_t Vector::BLF::AppTrigger::preTriggerTime {}

pre-trigger time Pre trigger time.

Author

Generated automatically by Doxygen for Vector BLF from the source code.